#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k;
    scanf("%d",&n);
    scanf("%d",&k);
    int pre;
    int act;
    int i=2;
    scanf("%d",&act);
    pre=act;
    if (act==k)
    {
        scanf("%d",&act);
        printf("%d",act);
        i=3;
    }
    for(;i<=n;i++)
    {
        scanf("%d",&act);
        if (act==k)
        {
            if(i==n)
            {
                printf("%d",pre);
                return 0;
            }
            scanf("%d",&act);
            printf("%d",act);
            return 0;
        }
    }
    return 0;
}